      SUBROUTINE FPOLY(X,P,NP)
      implicit real*8 (a-h,o-z)
      implicit integer*4 (i-n)
      save
      DIMENSION P(NP)
      P(1)=1.D0
      DO 11 J=2,NP
        P(J)=P(J-1)*X
11    CONTINUE
      RETURN
      END
